declare class DOMMatrix {
    /**
     * Not supported
     */
    m13: number;
    m14: number;
    m23: number;
    m24: number;
    m31: number;
    m32: number;
    m33: number;
    m34: number;
    m43: number;
    m44: number;
    private _values;
    constructor(init?: number[] | Float32Array);
    _getValues(): Float32Array;
    _reset(): void;
    get is2D(): boolean;
    get isIdentity(): boolean;
    get a(): number;
    set a(val: number);
    get m11(): number;
    set m11(val: number);
    get b(): number;
    set b(val: number);
    get m12(): number;
    set m12(val: number);
    get c(): number;
    set c(val: number);
    get m21(): number;
    set m21(val: number);
    get d(): number;
    set d(val: number);
    get m22(): number;
    set m22(val: number);
    get e(): number;
    set e(val: number);
    get m41(): number;
    set m41(val: number);
    get f(): number;
    set f(val: number);
    get m42(): number;
    set m42(val: number);
    toJSON(): {
        a: number;
        b: number;
        c: number;
        d: number;
        e: number;
        f: number;
        m11: number;
        m12: number;
        m13: number;
        m14: number;
        m21: number;
        m22: number;
        m23: number;
        m24: number;
        m31: number;
        m32: number;
        m33: number;
        m34: number;
        m41: number;
        m42: number;
        m43: number;
        m44: number;
    };
}
export { DOMMatrix };
